Skip to main content
Folder locks define access restrictions placed by folder owners to prevent specific folders from being moved or deleted.

Folder Lock

Folder locks define access restrictions placed by folder owners to prevent specific folders from being moved or deleted.
PropertyTypeRequiredDescription
folderFolder (Mini)NoThe folder that the lock applies to.
idstringNoThe unique identifier for this folder lock.
typestringNoThe object type, always folder_lock.
created_byUser (Base)NoThe user or group that created the lock.
created_atstringNoWhen the folder lock object was created.
locked_operationsobjectNoThe operations that have been locked. Currently the move and delete operations cannot be locked separately, and both need to be set to true.
lock_typestringNoThe lock type, always freeze.
Example
{
  "folder": {
    "id": "12345",
    "etag": "1",
    "type": "folder",
    "sequence_id": "3",
    "name": "Contracts"
  },
  "id": "12345678",
  "type": "folder_lock",
  "created_by": {
    "id": "11446498",
    "type": "user"
  },
  "created_at": "2020-09-14T23:12:53Z",
  "locked_operations": {
    "move": true,
    "delete": true
  },
  "lock_type": "freeze"
}

Folder Locks

A list of folder locks.
PropertyTypeRequiredDescription
entriesarray of Folder LockNoA list of folder locks.
limitstringNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
Example
{
  "entries": [
    {
      "folder": {
        "id": "12345",
        "etag": "1",
        "type": "folder",
        "sequence_id": "3",
        "name": "Contracts"
      },
      "id": "12345678",
      "type": "folder_lock",
      "created_by": {
        "id": "11446498",
        "type": "user"
      },
      "created_at": "2020-09-14T23:12:53Z",
      "locked_operations": {
        "move": true,
        "delete": true
      },
      "lock_type": "freeze"
    }
  ],
  "limit": "1000",
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}
Last modified on July 9, 2026